Skip to main content

Admin Summary

Method: POST
Endpoint: /api/content/v1/dataapps/adminsummary
Query Parameters:
  • limit - (Integer) Limits how many apps will be returned
  • skip - (Integer) Skips the first n results
Example:
Response:
Returns a list of app summaries that you have access to

Get Data Apps

Method: GET
Endpoint: /api/content/v1/dataapps/
Example:
Response:
Returns a list of all of the data apps associated with your user

Get Data Apps by ID

Method: GET
Endpoint: /api/content/v1/dataapps/{dataAppId}
Path Parameters:
  • dataAppId - (Integer, Required) - The id of the data app you are requesting
Query Parameters:
  • includeHiddenViews - (Boolean) - Determines whether to include any hidden views
Example:
Response:
Returns the data app associated with the given id

Get Data Apps Access List

Method: GET
Endpoint: /api/content/v1/dataapps/{dataAppId}/access
Path Parameters:
  • dataAppId - (Integer, Required) The id of the data app you are requesting
Query Parameters:
  • expandUsers - (Boolean, Optional) Determines whether to return the full user object
Example:
Response:
Returns a list of users with access to the given data app

Share Data Apps

Method: POST
Endpoint: /api/content/v1/dataapps/share
Path Parameters:
  • sendEmail - (Boolean, Optional) Determines whether to send an email to the recipients
Example:
Response:
Returns a status indicating whether the share operation was successful